JGraph X 1.3.0.0

## com.mxgraph.view
Class mxSwimlaneManager

    java.lang.Object
      com.mxgraph.util.mxEventSource
          com.mxgraph.view.mxSwimlaneManager

    public class mxSwimlaneManager

extends mxEventSource

Nested Class Summary

Nested classes/interfaces inherited from class com.mxgraph.util.mxEventSource
`mxEventSource.mxIEventListener`

Field Summary
`protected mxEventSource.mxIEventListener` `addHandler`
`protected boolean` `bubbling` Optional string that specifies the attributename to be passed to mxCell.is to check if the rule applies to a cell.
`protected boolean` `enabled` Optional string that specifies the value of the attribute to be passed to mxCell.is to check if the rule applies to a cell.
`protected mxGraph` `graph` Defines the type of the source or target terminal.
`protected boolean` `horizontal` Optional string that specifies the attributename to be passed to mxCell.is to check if the rule applies to a cell.
`protected mxEventSource.mxIEventListener` `resizeHandler`
`protected boolean` `siblings` Optional string that specifies the attributename to be passed to mxCell.is to check if the rule applies to a cell.

Fields inherited from class com.mxgraph.util.mxEventSource
`eventListeners, eventsEnabled, eventSource`

Constructor Summary
`mxSwimlaneManager(mxGraph graph)`

Method Summary
`protected void` `cellsAdded(java.lang.Object[] cells)`
`protected void` `cellsResized(java.lang.Object[] cells)`
`void` `destroy()`
`mxGraph` `getGraph()`
`boolean` `isBubbling()`
`boolean` `isEnabled()`
`boolean` `isHorizontal()`
`boolean` `isSiblings()`
`boolean` `isSwimlaneIgnored(java.lang.Object swimlane)`
`protected void` `resizeParent(java.lang.Object parent, double w, double h)`
`protected void` `resizeSwimlane(java.lang.Object swimlane, double w, double h)`
`void` `setBubbling(boolean value)`
`void` `setEnabled(boolean value)`
`void` `setGraph(mxGraph graph)`
`void` `setHorizontal(boolean value)`
`void` `setSiblings(boolean value)`
`protected void` `swimlaneAdded(java.lang.Object swimlane)`
`protected void` `swimlaneResized(java.lang.Object swimlane)`

Methods inherited from class com.mxgraph.util.mxEventSource
`addListener, fireEvent, fireEvent, getEventSource, isEventsEnabled, removeListener, removeListener, setEventsEnabled, setEventSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graph

    protected mxGraph graph

  Defines the type of the source or target terminal. The type is a string passed to mxCell.is to check if the rule applies to a cell.

### enabled

    protected boolean enabled

  Optional string that specifies the value of the attribute to be passed to mxCell.is to check if the rule applies to a cell.

### horizontal

    protected boolean horizontal

  Optional string that specifies the attributename to be passed to mxCell.is to check if the rule applies to a cell.

### siblings

    protected boolean siblings

  Optional string that specifies the attributename to be passed to mxCell.is to check if the rule applies to a cell.

### bubbling

    protected boolean bubbling

  Optional string that specifies the attributename to be passed to mxCell.is to check if the rule applies to a cell.

### addHandler

    protected mxEventSource.mxIEventListener addHandler

### resizeHandler

    protected mxEventSource.mxIEventListener resizeHandler

Constructor Detail

### mxSwimlaneManager

    public mxSwimlaneManager(mxGraph graph)

Method Detail

### isSwimlaneIgnored

    public boolean isSwimlaneIgnored(java.lang.Object swimlane)

### isEnabled

    public boolean isEnabled()

  Returns:
    the enabled

### setEnabled

    public void setEnabled(boolean value)

  Parameters:
    `value` - the enabled to set

### isHorizontal

    public boolean isHorizontal()

  Returns:
    the bubbling

### setHorizontal

    public void setHorizontal(boolean value)

  Parameters:
    `value` - the bubbling to set

### isSiblings

    public boolean isSiblings()

  Returns:
    the bubbling

### setSiblings

    public void setSiblings(boolean value)

  Parameters:
    `value` - the bubbling to set

### isBubbling

    public boolean isBubbling()

  Returns:
    the bubbling

### setBubbling

    public void setBubbling(boolean value)

  Parameters:
    `value` - the bubbling to set

### getGraph

    public mxGraph getGraph()

  Returns:
    the graph

### setGraph

    public void setGraph(mxGraph graph)

  Parameters:
    `graph` - the graph to set

### cellsAdded

    protected void cellsAdded(java.lang.Object[] cells)

### swimlaneAdded

    protected void swimlaneAdded(java.lang.Object swimlane)

### cellsResized

    protected void cellsResized(java.lang.Object[] cells)

### swimlaneResized

    protected void swimlaneResized(java.lang.Object swimlane)

### resizeSwimlane

    protected void resizeSwimlane(java.lang.Object swimlane,
                                  double w,
                                  double h)

### resizeParent

    protected void resizeParent(java.lang.Object parent,
                                double w,
                                double h)

### destroy

    public void destroy()

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.